import { Column, Entity, PrimaryColumn } from 'typeorm';

@Entity()
export class Avatar {
  @PrimaryColumn('varchar', { length: 255 })
  url: string;
  @PrimaryColumn('smallint', { unsigned: true })
  size: number;
  @Column('text')
  content: string;

  toBuffer() {
    return Buffer.from(this.content, 'base64');
  }

  fromBuffer(buffer: Buffer) {
    this.content = buffer.toString('base64');
  }
}
