import { ConsoleLogger, Injectable } from '@nestjs/common';
import magick from '@xzeldon/imagemagick-native';
import { BlankReturnMessageDto } from '../dto/ReturnMessage.dto';

@Injectable()
export class ImageService extends ConsoleLogger {
  constructor() {
    super('ImageService');
  }
  async resize(buffer: Buffer, size: number) {
    try {
      return await magick.promises.convert({
        format: 'PNG',
        srcData: buffer,
        width: size,
        height: size,
      });
    } catch (e) {
      this.error(`Error resizing image to ${size}: ${e.toString()}`);
      throw new BlankReturnMessageDto(500, 'Error resizing image');
    }
  }
}
